import math

class Ristkylik: # Klass
    #Järgnevad joondatud meetodite definitsioonid

    def __init__(self, a, b): # Initsialiseerimismeetod
        self.a = a
        self.b = b

    def pindala(self): # Tavaline meetod
        return self.a * self.b

    def ymbermoot(self):
        return 2 * (self.a + self.b)


class Ring: # Klass
    #Järgnevad joondatud meetodite definitsioonid

    def __init__(self, r): # Initsialiseerimismeetod
        self.r = r
        
    def pindala(self): # Tavaline meetod
        return math.pi * self.r ** 2

    def ymbermoot(self):
        return 2 * math.pi * self.r


if __name__ == "__main__":
    for kujund in [Ristkylik(10, 5), Ristkylik(1, 5), Ring(3)]:
        # Järgnev kood kutsub välja polümorfseid meetodeid st
        # meetodi nimed on samad ja eesmärk/definitsioon on sarnased,
        # aga realisatsioon erineb klassiti. Selles koodiplokis ei
        # ole infot konkreetsete klasside kohta st uusi kujundeid (kolmnurk jms)
        # saab paindlikult lisada ja kood on lihtsam.
        print(kujund.pindala())
        print(kujund.ymbermoot())
        print(kujund.__dict__)
        print(kujund.__class__.__dict__)





        
    
